About AVI ReComp

AVI ReComp (ARC) is an AVI editor.
ARC is not a general AVI editor; instead it is aimed at specific purposes and is primarily aimed at the novice user.

Originally ARC was designed with just one purpose. It was to make video in the AVI container compatible enough to play on the then cutting edge Philips DVP-642/630 stand-alone DVD player. This player was the first to be enabled to play DivX AVI. The DVP-642/630 played DivX encoded with the DivX Home Theatre Profile. This profile restricted the player to movies encoded with just the basic features of the codec. The majority of movies encountered were encoded with the Xvid codec using advanced features such as QPEL and/or multi warp-point GMC. The 642 rejected these movies. ARC was designed to allow a novice to re-encode (re-compress) a movie and remove these advanced features thus making the movie compatible with the player.

The player had another weak point in its lack of ability to display subtitles in a large or distinct enough manner. To provide an alternative ARC was designed with the ability to hardcode subtitles into an AVI from a text sub file. SRT, ASS, SSA and SUB are among the formats allowed. ASS and SSA formats are particularly attractive as ARC provides facilities to edit these, giving control over their position on the screen, the type of font, font size, font colour, shadow, shadow colour, outline, outline colour, emboldening and underlining.

Overtime need arose for other features. To date ARC includes Cropping and Resizing filters, a Logo Editor, a Black Borders Editor, an Audio Editor which includes a Volume Control. Also included is the ability to recompress with QPEL and/or Adaptive Quantisation along with the ability to create a packed or unpacked bitstream (enable/disable B-VOPs).
If you are clever enough ARC even makes it possible to edit its AVS scripts.
The full list of features available in ARC can be found on our website.

To date ARC supports all types of valid MPEG-4 formats in AVI container. Source files can be compressed with every MPEG-4 codec providing that an appropriate decoder is installed and active. ARC can also use MPEG-4 files encoded in DivX Media container (*.divx) but only if the movie is renamed as *.avi
Output files are always AVI files encoded with Xvid encoder.

In the future it is expected that ARC will continue to evolve to perhaps encompass the emerging HD Xvid profiles, the HD AVC codecs and perhaps the MKV container.

Valid XHTML 1.1! Valid CSS 2.1! Unicode Encoded Badge

© Copyright 2009-2011 Michael Fisher & Mateusz Gola


Installation

ARC is quite simple to install as long as certain things are kept in mind.

ARC installs a number of ancillary apps.
One of the most important and potentially the most troublesome is the Xvid codec.

As well as Xvid, ARC will also ask to install VirtualDubMod, VobSub and AviSynth.

VirtualDubMod (VDM) takes up little space and ARC will install it within its own folder so my advice is to let it, even if you have it or another version of it already installed.
If you are hell bent on using a version you already have installed then be advised that ARC is intended to be used with VDM 1.5.10.2 or newer. Using ARC with older versions or versions of VirtualDub is likely to produce indeterminate results.
If, however, you have the right version of VDM installed and ARC can't find it, see VDM's status in ARC's Control Panel. If it is not OK then you have the ability to browse to it. Make sure the status is reported as OK.

If you have VobSub and AviSynth installed in your system partition then you have two choices.
You can opt to not install them or you can let ARC overwrite them. Both approaches seem to work.
Once again check in ARC's Control Panel to make sure AviSynth installed right and is found, as indicated by OK being reported.
There is no check for VobSub. VobSub is a subtitle filter and it is not indispensable if you are not going to work with subtitles.

Now we come to Xvid.
Firstly and this is most important. ARC looks for and expects to find Xvid installed in the system partition. Just let ARC install to it's default of "<System Root>:\Program files\" (NB: <System Root> location is usually C:\) and you won't go wrong. Installing Xvid anywhere else is a massive NO NO. Although the Xvid libraries will be detected and may appear to work fine, ARC will have difficulties with detecting the version of Xvid that is installed.
Secondly and again very important is to only use the version of Xvid that is bundled with ARC. Remember that ARC is intended to be used with Xvid 1.0.3 or newer. To date only original Xvid builds by Koepi's and Xvid Solutions have been utilised.
Thirdly do NOT overwrite Xvid. When updating to a newer version ALWAYS uninstall it before installing the updated version.

If you are installing ARC for the first time and do not know if you have Xvid already installed. Look for it in your Start Menu, if found, there will likely be an option to uninstall. If there isn't then look in your Add or Remove Programs Utility found in your Computers Control Panel. If you cannot find it then it's probably not installed.

Think you might have over written Xvid in the past or suspect your Xvid has got corrupted?
OK just uninstall it using either of the methods I just described and then search in the system folder (System32 or SysWOW64) for Xvid libraries (xvid.dll, xvidcore.dll, xvid.ax, xvidvfw.dll). If any remnants are found then just delete them. You now have a clean slate to work with.

© Copyright 2009-2011 Michael Fisher & Mateusz Gola


Quick start

This section describes a few quick steps required to perform a simple reencode.
The guide does not include all features available in ARC. These are just basic steps allowing new users to familiarise with the interface and with most frequently performed actions.

Checking application status

Before we start it is important to check whether all required applications and tools are correctly installed and detected.
All status information can be found in the Control panel tab of the Applications section.
All status indicators (for VirtualDubMod, Xvid and AviSynth) must be green and marked as OK.

Loading source file

To load the source file let's use the Load AVI button available in the Source & Output tab of the Jobs control panel section.

Saving destination path

Now we have to save the destination path. The path for the new recompressed AVI file.
Note, the new file name cannot be the same as the source file name.
To specify the location in which the program will save the new created file let's use the Save AVI button available in the Source & Output tab of the Jobs control panel section.

Setting new AVI size

This is a size of the new reencoded AVI file.
After loading a source file AVI ReComp will automatically set the new AVI size.
The size can be equal to the source file size although it is not obligatory and you can specify your own value.

Using additional features

Now you can use one of additional features available in the Additions tab.
One of the most frequently used features is adding (hardcoding) subtitles.

To add your own subtitles go to the Additions tab

You can now tick the Enable/disable check box to activate the subtitle module and use the Load subtitles button to load your subtitle file.

Preview

It is always advisable to run the preview before starting the recompression process.
The preview can be generated in the Queue tab by using the Preview button.

Adding new job

If everything is fine you can add a new job to the Queue.
Simply click the Add to queue button and a new job will be added to the Job list with the "waiting..." status.

Starting recompression

If your job is already in the Queue you can use the Start button [image] to activate the recompression process.
The status of the job will be changed to "running...".
The progress of all currently running operations will be displayed in the main progress bar.

Note, the Start button becomes inactive if there is already running job in the Queue. To stop and abort currently running job one can use the Stop button.

You can now minimise ARC to the system tray icon and concentrate on some other work.
You will probably have to wait from several to several dozen minutes until AVI ReComp completes the job.

When the recompression is done you will be informed by means of the Desktop notification window displayed in the system notification area.

© Copyright 2009 Mateusz Gola


Jobs control panel

This section consists of 5 tabs.
All tabs refer to the current job and its settings.
Each job consists of one input and one output file specified in the Source & Output tab.
Using other tabs you can make use of some additional features and options and finally you can add your job to the Queue.

The Jobs control panel section includes the following tabs:

Source & Output
The main tab allowing users to load movies, to define an output path and target size for new AVI files.
Additions
Additional features that can be used as a supplement for the main recompression process.
Inter alia: Subtitles, Resizing, Black borders, Audio conversion.
Settings
The Settings tab includes additional settings that can be used during the reencoding.
Most of them concerns advanced encoding properties.
Queue
This is the place where the job should be added to the job list.
After adding a desired number of jobs you can start the recompression.
Log
The Log window stores reports and information concerning each performed job from the Queue.


Source & Output

This is the first tab available in the user's interface.
The Open AVI button serves to load source AVI clips.
Using this button you can open files with .avi extension only.
AVI ReComp accepts valid MPEG-4 video files included in AVI or DivX Media container.
After loading the input file all data concerning the source clip will be displayed in the right Data panel.
If the Auto-set output path option is checked - the output path will be generated automatically after a source file is loaded. AVI ReComp will generate a new name for the target file and it will be saved in the source directory. In this case you won't have to enter the target path using the Save AVI button.
If you don't use the Auto-set output path option, you will have to show ARC where to save a new recompressed AVI file.

Use the Save AVI button to specify the path for the new recompressed AVI file.
New AVI size is the desired AVI size that you want to get after the recompression. It is not the size of the picture (video stream) only! This is the size of the final AVI file, including audio stream(s).
New AVI size is expressed in megabytes.
You can choose one of available presets from the list or you can also enter your own value (correct to 1 MB).

Please note that it may not be possible to reduce or increase the file size by more that 50%. It may be beyond encoder's power to achieve such a (re)compression rate.
And that's why by default - after the source file is loaded - AVI ReComp automatically sets the New AVI size to the value which is closest to the size of the input file.

To be able to start the recompression you have to specify both source and output files (paths).
When you are done you can go to the Additions or Settings tabs to choose other settings or you ca directly jump to the Queue tab and add your job to the job list.


Additions

The features available in the Additions tab are not obligatory and can be used as a supplement for the main recompression process.
Some features like Cropping, Resizing, Black borders, Audio conversion are accessible only if the source file is loaded.
Otherwise their buttons remains inactive.
The main window of the tab is divided into a few panels.
Each panel contains buttons and/or check boxes activating appropriate options.

The Additions tab allows users to use the following features:

Cropping
This feature allows to crop the desired amount of pixels off all four sides of the image.
The tool can be used to remove unwanted edge, black borders or artefacts.
Resizing
Using this tool you can resize the image changing its resolution.
Resizing can be performed with keeping original or creating a new aspect ratio.
Black borders
The option makes it possible to create additional black borders - dark fields which will be added at the top and at the bottom of the image.
It can be useful for users who want to hardcode subtitles and put them outside (mostly below) the main image.
Audio conversion
The Audio converting tool is another optional features available in this tab.
Using this option one can reencode audio streams included in the source file changing their bitrate, sampling rate and adjusting the volume level.
Subtitles
Probably one of the most frequently used features.
It allows the user to add his own subtitles that will be hardcoded and permanently embedded in the video.
Additionally, using ASS or SSA subtitle formats it is possible to customise their colour, position and other parameters.
Logo
The feature designed for adding transparent logo or watermark to the video.
It also enables to specify the duration time, position and the fading effect of the logo.


Cropping

The Cropping Tool allows to crop the desired amount of pixels off all four sides of the image.
The tool can be used to remove unwanted edge, black borders or artefacts.
The Cropping Tool is available in the Resolution section of the Additions tab.
It is accessible only when the source file has been loaded. Otherwise both Cropping and Resizing options are inactive.

After activating the Cropping option two windows appear on the screen: Cropping preview and Cropping tools.
The Cropping tools window consists of 4 buttons serving to crop the image from each side: left, top, right and bottom.
All cropping values are expressed in pixels.
Cropping can be performed by using small arrows (up and down buttons) for each side of the image. However it is not possible to enter (type) the values from the keyboard.
Each cropping action is visible in the Cropping preview window.
You can jump to any part of the movie by dragging the slider right to go forward or dragging the slider left to rewind.
The AR indicator corresponds to the current aspect ratio (the relationship of image width to its height).

If you are going to use the Resizing or the Black borders options.
Cropping is always performed before resizing and black borders creation.
Therefore it is recommended to use cropping especially before making use of the Resizing Tools and before using the Black borders option.

For example: available black borders presets are always based on the current resultant resolution (aspect ratio).
If you use the Cropping option the resultant resolution will change and different black borders presets will be available in the Black borders settings window.
Of course AVI ReComp always tries to catch such incompatibility problems and collisions and the user will be suitably informed.

It's important to know that the Cropping preview is always based on the pure source image (regardless of added subtitles, logo, black borders or other image operations).
To generate the global preview including all used options (subtitles, logo etc.) use the Preview button.
As mentioned above, the Cropping Tools usage results in resolution changes. The processing applications expect the resultant width to be divisable by 4 and the resultant height by 2. That's why in some circumstances additional resizing may be required after the Cropping option is used. This additional adjustment is always performed automatically in the background so you don't have to be concerned about that. Most advanced users can notice this effect by editing AviSynth scripts.

After setting the desired cropping values you can use the Preview button to generate the global preview.
Then you can click on the Use button to save the changes.
The Restore option resets all cropping values to 0.
The Cancel button can be used to cancel all implemented settings and to return to the previous state when the Use button was used.


Resizing

The Resizing Tool enables to change the resolution of the image.
The feature can be especially useful if the source file has incorrect aspect ratio (is stretched and unnatural).
It can also be used to resize and reduce the video resolution to mobile size.
The Resizing Tool is available in the Resolution section of the Additions tab.
It is accessible only when the source file has been loaded. Otherwise both Resizing and Cropping options are inactive.

After activating the Resizing option two windows appear on the screen: Resizing preview and Resizing tools.
The Resizing tools window consists of 2 main buttons serving to change the width or height of the video frame.
Resizing can be performed by using small arrows (up and down buttons) for each resolution coordinate. However it is not possible to enter (type) the values from the keyboard.
Resizing values are expressed in pixels.
Each resizing action is visible in the Resizing preview window.
You can jump to any part of the movie by dragging the slider right to go forward or dragging the slider left to rewind.

The Original resolution pointer always informs the user about the original input resolution.

In case if the Cropping option was used before and the image has been cropped then Original resolution values refer to the cropped image. In such cases the additional info will be displayed - (after cropping).

The AR indicator corresponds to the current aspect ratio (the relationship of image width to its height).

The Keep ratio option makes it possible to keep the constant width/height ratio regardless if we change the width or height values.
For example, let's say the current AR is 1.85 - if you activate the Keep ratio option and use one of the arrows to change the width then the height will be automatically changed and adjusted to keep the proportions between width and height.

The processing applications require the resultant width to be dividable by 4 and the resultant height by 2.
That's why ARC always automatically calculates and adjusts width and height values to find the closest compatible number.
For example, if the current with is 720 and you use the upper arrow to increase the width then the nearest dividable by 4 value will be 724 and not 721.
If you are going to use the Cropping or the Black borders options.
Resizing is always performed after cropping and before black borders creation.
Therefore to avoid possible conflicts it is advisable to use resizing after Cropping and before making use of the Black borders option.

For example: available black borders presets are always based on the current resultant resolution (aspect ratio).
If you use the Resizing option the resultant resolution will change and different black borders presets will be available in the Black borders settings window.
Of course AVI ReComp always tries to catch such incompatibility problems and collisions and the user will be suitably informed.

It's important to know that the Resizing preview is always based on the pure source image or recently cropped image (regardless of added subtitles, logo or black borders).
To generate the complete preview including all used options (subtitles, logo etc.) use the Preview button.

After setting the desired resolution you can use the Preview button to generate the global preview.
Then you can click on the Use button to save the changes.
The Restore option resets the size to the original (initial) values.
The Cancel button can be used to cancel all implemented settings and to return to the previous state when the Use button was used.

If you choose resolution higher than 720x576 the program will display a warning saying that resolutions higher than 720x576 may not be supported by all DVD players. If you are sure that your DVD player accepts the chosen resolution press the YES button, otherwise click NO and use the Resizing Tool or Cropping to adjust the size.

© Copyright 2009-2012 Mateusz Gola


Black borders

Black borders are additional dark (mostly black) areas at the top and at the bottom of the movie. Most of AVI movies are encoded in anamorphic format (16:9 or "Wide Screen Format"). When you play such movies using 4:3 monitor or TV black borders are automatically generated by the TV to adjust the movie to the screen. AVI ReComp can create permanent borders so that you will be able to put your subtitles on them.
As opposed to automatically generated TV black borders, permanent black borders are hardcoded and become a part of the image. So it is not possible to switch them off using the TV or DVD menu. And because they are hardcoded it is possible to place subtitles on them. Most often users decide to put their subs on the lower black border.
The Black borders option can be found in the Additions tab and it is active only when the source file is loaded. Otherwise the option remains inactive.

If you are going to use Cropping or Resizing tools it is recommended to use the Black borders feature as the last - after using the resizing tools.
The recommended order of using all resizing tools is as follows: cropping, resizing, black borders.

But of course it doesn't mean you cannot use the Black borders option without cropping or changing the resolution.
To open advanced black borders settings simply click on the Settings button.

Settings

The Settings window contains 4 predefined modes: No borders, 4:3, 16:9 and Custom size for defining custom non-standard black borders.

The availability of particular presets may vary depending on the currently used (defined) movie resolution.
For example, if your source movie is already encoded in 16:9 format or you used Resizing Tools to resize the picture to 16:9 aspect ratio, then the 16:9 preset will not be available.

Preview, Use, Cancel

After choosing one of available presets or specifying your own size for borders you can use the Preview button to generate the preview.
The Preview button is disabled in case if no movie is loaded.
Then you can click on the Use button to save all settings.
The Cancel button can be used to cancel all implemented settings and to return to the previous state when the Use button was used.


Audio conversion

AVI ReComp supports AVI files with unlimited number of audio streams.
However only first two audio tracks are displayed in the Data panel.
If your source file contains more than 2 audio streams - to see the rest of the streams and their properties - click the Show all button which appears in the lower-right corner of the Data panel every time the input AVI has more than 2 audio tracks.

Although AVI ReComp supports many various audio formats (wav, dts, ac3, mp3, ogg), Audio Tools can be used only for ac3 and mp3 streams.
It's worth to mention that an ac3 stream can be converted to an mp3 stream. The reverse conversion is not possible.
So, if your movie contains one of these audio formats (ac3 or mp3) you can use the Audio conversion button from the Additions tab.
Otherwise the option will be disabled.

After clicking the above button you will see the Audio tools window.

To activate all available audio features choose Convert audio stream(s) option.
If the Disable audio conversion option is checked then audio streams will not be reencoded. AVI ReComp will reencode the video stream only and all audio streams will remain untouched.

Please note, the audio converting feature always converts all audio streams existing in the source file.
Thus if your movie includes 2 audio streams, they will both be reencoded with the same settings specified in this window.

Encoding mode

The LAME encoder used by AVI ReComp is able to encode your audio using one of its 3 encoding modes: constant bitrate (CBR), average bitrate (ABR) and variable bitrate (VBR).

Constant Bitrate (CBR)

In this mode, the bitrate will be the same for the whole file. It means that each part of your mp3 file will be using the same number of bits. Every portion of the audio is encoded with the same, constant, bit rate. That is, the same number of bits is used to represent each fragment of the audio regardless of its complexity. Complex parts will be of a lower quality than the easiest ones.

Average Bitrate (ABR)

In this mode, you choose a target bitrate and the encoder will try to constantly maintain an average bitrate while using higher bitrates for the parts of the audio stream that need more bits. The result will be of higher quality than CBR. The perceived quality of the audio is increased by using more bits where the complexity is higher and fewer bits where it is lower. For average bit rate encoding, this variation is done within the limit of the specified average. Therefore, the size of the resulting file can be calculated before it is encoded.

Variable bitrate (VBR)

The encoder tries to maintain the given quality in the whole file by choosing the optimal number of bits to spend for each part of your audio stream. The complexity of the information content of audio varies over time. The perceived quality of the audio is increased by using more bits where the complexity is higher and fewer bits where it is lower. For variable bit rate encoding, this variation is done within broad limits. Therefore, it is not possible to know the size of the resulting file with precision before it is encoded. It produces very good quality files, though is not very fast.

Audio bitrate

Select the audio bitrate you are going to use.
The available bitrate range is from 32 to 320 kilobits per second.
Depending on selected encoding mode the constant or average bitrate will be used.

Please note that the audio stream is going to be recompressed so it is impossible to achieve better quality comparing to the original source quality.
Therefore when you are making a conversion between the same type of audio there is no point to raise quality more than it's already encoded.

Sampling rate

You can change the sample rate of the audio stream(s) by selecting one of available sampling rate values: 44100 and 48000 Hz.
If you don't want to change sample rate parameters choose No change. The value given in the brackets corresponds to the current sample rate value of the original audio stream. If your movie contains more than one audio stream then sample rates for both streams will be displayed in the brackets.
If the current value is, say, 48000 Hz then the option for changing the sample rate to 48000 Hz will be inactive and you will only be able to choose between No change and 44100 Hz.

Volume control

The Volume control option allows to adjust the volume of a new created audio stream.
Volume levels are given in decibels.
Move the slider to set a desired volume level.
You can disable the option by choosing 0. In this case your sound will keep the original volume level.
All positive values will increase and negative values will decrease the sound level.
You can click on a given value and the slider will automatically move to the corresponding position.

After setting all parameters click on the Use button to use all changes.
If you check the Disable audio conversion option and then click on the Use button all previously defined settings will be discarded and the audio stream(s) will not be converted.
The Cancel button can be used to cancel all implemented settings and to return to the previous state when the Use button was used.


Subtitles

The following subtitle formats are supported and can be used in AVI ReComp: TMPlayer (.txt), MicroDVD (.txt / .sub), SubViewer2 (.sub), SubRip (.srt), Advanced SubStation Alpha (.ass), SubStation Alpha (.ssa), VobSub (.sub/.idx).
Subtitles can be enabled in the Additions tab by checking the Enable/disable option.
After checking this option you can load your subtitle file using the Load subtitles button.
In case you change your mind you can easily disable loaded subtitles by unchecking the Enable/disable option.

Please note, your subtitles must be valid according to current standards. Otherwise you will get an error message or your movie will not be reencoded correctly. Even if your favourite movie player is able to render and display the subtitles it doesn't mean they are 100% correct. That's why we always recommend to use proven subs from trusted sources and additionally verified by using a subtitle editor.

Additionally you can use the Auto-load option
If this option is checked then during loading the source AVI file AVI ReComp will automatically load subtitles if they are in the same directory and the subtitle file has the same name as the movie.
The state of Auto-load option is saved on closing and restored on start up.

Subtitle settings

Subtitle settings are available only for Advanced SubStation Alpha (.ass) and SubStation Alpha (.ssa) formats.
Therefore the Settings button remains inactive after loading other types of subs.

If your subtitles are saved in other than ASS and SSA subtitle format you can easily convert them using one available subtitle editors: Subtitle Processor or Subtitle Workshop.
You cannot use and adjust subtitles' settings for subtitles saved in other than ASS or SSA format.
Such subtitles (for example SRT or TXT) will be processed as they are with all internal settings (formatting styles).
Also, even if you load SSA or ASS subtitles you don't have to use the Settings option to get your subtitles hardcoded. Each loaded subtitle file will be added to the movie. Even if you don't use the Settings option. In case you load SSA or ASS subs and you don't use the Settings window the subs will be processed will all default and internally defined SubStation Alpha styles (created originally by a subtitle editor which was used to create and save the subtitle file). Therefore if you know how to create SSA or ASS subtitles using your favourite subtitle editor you can create your own subtitles and then load them to ARC without need to use the Settings option.

Important: All subtitle settings are stored for currently loaded subs. Settings are reset to default values when a new subtitle file is loaded.
If you want to save fixed settings for all subtitles loaded in the future you can use the Always force these settings option described below.

In case if your ASS or SSA subtitles have no style defined inside the subtitle script you will see the following message:

It means that AVI ReComp was not able to find any style declared in the subtitle file and all parameters in the Settings window will be set to default values. But in case if there is at least one style defined ARC will display all settings declared in this style.

Sometimes the subtitle file may contain more than one style. Then you should see the following window:

The above-mentioned window includes all available styles saved in the subtitle file. But only one of them can be treated as a default and main style (the one which can be changed via ARC). Other styles defined in the subtitle script will remain untouched. After accepting one available styles ARC will decode the style parameters and display them in the Settings window.

The main Settings window is divided into a few groups of options. You can set the following subtitle parameters: font, size, colour, position, shadow, outline, font style and encoding.
But there are some differences between options available for ASS and SSA formats.

Both Outline and Shadow have their own colours. There are 3 available font styles: Bold, Italic, Underline. | There is only one colour for both Outline and Shadow. There are only 2 font styles: Bold and Italic.

Font, Size, Colour, Position, Shadow, Outline, Style

I think these parameters and their usage do not require more detailed description.

Note, the ASS and SSA font size is always adjusted to the image resolution (including resizing parameters). So the same font size may look differently at different output resolutions.

Encoding

This specifies the font character set or encoding and on multi-lingual Windows installations it provides access to characters used in multiple than one languages. Usually you should set it to System default and the character set will be automatically detected by processing filters. But in case you are using two different languages in your OS and they have different font character sets you can choose the appropriate encoding from the list.

Presets

It is possible to save current settings as a Subtitle preset.
You can save unlimited number of presets and easily use them in the future.
To create a subtitle preset choose all desired settings and enter the name for the new preset. Then click on the Create button to save the preset.

To load one of existing subtitle presets click on the Load button.
If there are no saved presets then the Load button is inactive.
If you have at least one saved preset you will see the Subtitle presets window which allows the user to choose one of defined subtitle presets as well as to delete a desired preset.

Important note: presets are created and saved separately for SSA and ASS subtitle formats with regard to differences between both formats.
It means that the presets created for ASS subs will not be available for SSA and vice versa.

Fixed styles

Each ASS and SSA subtitle file has internally defined styles inside the file.
ARC can detect and capture these internal styles.
And that's why all settings are by default reset after loading a new subtitle file.
But you may want to permanently save your favourite settings and use them in the future regardless of internally defined ASS/SSA styles.
This can be done by using the Always force these settings option.

Check this option if you want current settings to be used always for this kind of subtitles. The saved style will always be used in the future instead of default styles declared inside ASS files. Note, it works independently and separately for ASS and SSA formats. So you can save the fixed style for ASS and not for SSA and vice versa. After saving the permanent style you will see the fixed style indicator in the Additions tab.

The permanent style defined for ASS subtitles only. Will be used for all loaded ASS subs. | The permanent styles defined for both ASS and SSA subtitles. The first will be used for all loaded ASS and the second for all SSA subs.

When the option is active you don't even have to open the Settings window in the future. The fixed style will always be used for all dialogues in your subtitle file.
To deactivate the fixed style open the Settings window and uncheck the option and then use the Use button.

Preview, Restore, Use, Cancel

After setting all parameters you can use the Preview button to generate the preview and check the look of your subs.
The Preview button is disabled in case if no movie is loaded.
Then you can click on the Use button to save all changes.
The Restore option restores all default settings (default styles). So, if there are any styles declared in the subtitle file all parameters will be restored to the internal ASS/SSA style. Otherwise ARC will use its own default style (Tahoma, 22, white, with black outline).
The Cancel button can be used to cancel all implemented settings and to return to the previous state when the Use button was used.

VobSub subtitles

VobSub subtitles consist of the pair of two files: IDX and SUB.
It doesn't matter which of them (SUB or IDX) will be (auto)loaded to ARC.
But they both must be in the same directory and have the same names.
If the pair is loaded successfully then the Settings button turns into the VobSub button.

You can use the button to choose the language version for VobSub subtitles.

References

  • SubStation Alpha - format description at Wikipedia.
  • Subtitle Processor - one of the best and most advanced subtitle editors for editing, repairing and translating subtitles for movies.
  • Subtitle Workshop - freeware subtitle editing tool supporting almost all available subtitle formats.
  • Aegisub - advanced subtitle editor for Windows, and UNIX-like systems, such as Linux, Mac OS X and BSD.


Logo

Using AVI ReComp you can easily add your own logo (watermark) to the video stream.
For the time being only 24-bit BMP images are supported.
The logo feature can be enabled in the Additions tab by checking the Enable/disable option.
After checking this option you can load your logo file using the Load logo button.
In case you change your mind you can easily disable loaded logo by unchecking the Enable/disable option.

You have to remember that logo dimensions cannot be larger than the size of the video frame. Otherwise you will get a warning message.

Please note that the current video frame size may not be equal to the resolution of the source in case you used Cropping or Resizing tools before.

Logo settings

You can access the Logo settings by clicking the Settings button.
Although it is not obligatory to use Logo settings. If you don't use them AVI ReComp will use its default settings. The logo will be displayed in the left upper corner for 10 seconds.

The Logo settings comprise of the following parameters: position, start time, duration, transparency and fading.

Position

Here you can define the vertical and horizontal position of the logo in pixels.
Default values are 0 and 0 for both coordinates. It means your logo will be added in the left upper corner.
Increasing values of vertical and/or horizontal coordinates will cause the logo to move accordingly down and right.
The best way to check results is to use the Preview option to see the exact position of the logo.

Start time

Defines the start time for displaying the logo on the screen.
There are three fields available for: hours, minutes and seconds.
For example, if you want your logo to appear after one minute you should set the start time to 0:1:0.
The default setting 0:0:0 means the logo will appear from the outset of the movie.

Duration

Defines the duration time for displaying the logo on the screen.
There are three fields available for: hours, minutes and seconds.
For example, if you want your logo to display for 25 seconds you should set the duration time to 0:0:25.
The default setting 0:0:10 means the logo will be displayed for 10 seconds counting from the start time.

Transparency

The transparency is expressed by the alpha blending value (from 0 to 255).
The value = 0 means the logo will be 100% transparent and will not be visible on the screen. The alpha blending = 255 means the logo image will be almost completely devoid of transparency. Values of between 100-128 will give a nice unobtrusive overlay.

Fading

Determines the length of fade-in / fade-out time and is expressed in frames.
Frames here are used as a unit of time. One frame is mostly equal to 1/24, 1/25 or 1/30 of a second depending on the framerate of the source movie.
For example, if the FPS of your movie = 25.00 and you set the fade-in time to 50 then the logo will be fading in for 2 seconds.

Preview, Use, Cancel

After setting all parameters you can use the Preview button to generate the preview and check the look of your logo.
The Preview button is disabled in case if no movie is loaded.
Then you can click on the Use button to save all settings.
The Cancel button can be used to cancel all implemented settings and to return to the previous state when the Use button was used.

© Copyright 2009-2010 Mateusz Gola


Settings

The Settings tab includes additional settings that can be used during the reencoding.
Most of them concerns advanced encoding settings and it is not recommended to change them unless you really know what they are used for.
All options visible on the Settings tab are specific for a given job. It means that you can use different settings combinations for each job. You can activate some settings for one job and disable them for another one.
Note, if a job is already added to the Queue it is not possible to change its settings.
All settings available in this tab are always saved when ARC closes and restored on the next start up.
To restore program default settings use the Program defaults button.

Priority

Specifies the priority of the main encoding thread. All encoding applications (VirtualDubMod, Azid, Lame) will be run with the specified priority.
This is equivalent to the process priority that can be found in the Windows Task Manager.

If the priority is too high, the process can consume all the CPU, affecting performance dramatically and you can loose control on your system. Be careful using High or Real Time modes. On the other hand, if the priority is too low, the process might not obtain enough CPU cycles to do its job, also affecting performance and efficiency.

Show VirtualDubMod

VirtualDubMod is the main tool used for video processing.
By default its windows are hidden and invisible. The application is running in the background.
Some users may want to see VDubMod's windows during the recompression. And this is what this option can be used for.

Show Xvid status window

Xvid is a MPEG-4 video encoder used by VirtualDubMod in the recompression process.
AVI ReComp uses the 2-pass encoding mode.
More advanced users may want to see the Xvid status window which is a graphic representation of the recompression and provides some technical details and info about the quantisation process.

Disable B-VOPs

B-frames are a kind of video frames - so-called bidirectional frames which represent one of available video algorithms.
Mainly they increase the compressibility of the video and by default they are enabled.
In case if you know exactly what B-frames are you can use this option to exclude this kind of video frames from the encoding process.

Use QPel encoding

QPel (Quarter pixel) is one of advanced encoding algorithms related to motion estimation and compensation. It is designed to improve the video compression and to increase quality of the macroblock.
Videos encoded with quarter-pixel precision motion vectors require up to twice as much processing power to encode. Unfortunately - so far - most standalone DVD players do not support this kind of encoding algorithms and by default this option is disabled.
However newer standalone players are able to decode videos encoded with QPel.

Enable this option only if you are sure your standalone player supports this algorithm or in case you are going to watch the movie on your PC only.

Use Adaptive Quant.

The human eye is much less perceptive to encoding errors in very dark or very light fields.
Adaptive Quantization compresses very dark or bright areas stronger than medium ones.
The saved bits are of course spent again and that way it's possible to gain a bit of quality in the medium-brightness parts of the picture which are more noticeable for the human eye.

By enabling this option you can also use Variable Adaptive Quantization (VAQ) if you have the appropriate Xvid version installed.

Use Turbo mode

This option turns off certain mathematical functions and algorithms to speed up the encode.
Using this option you can get up to 20% higher speed but at the expense some quality loss.

Delete temporary files

During the recompression AVI ReComp always creates some temporary files which are used in particular processes.
All temporary files are always stored in the output location in the directory with the [AVI ReComp temp] suffix.
Normally all the files are by default deleted after each successful recompression.
But in case if a job failed then the files are not deleted and can be used in order to identify possible reasons of an error.
If you uncheck the option then temporary files will never be deleted and will always be present in the output directory.

Delete source file

Also the source file can be removed after a successful recompression.
The option can be useful in case if you don't want to use the source file any more and you want to save the disk space.
Note, even if the option is checked the source file will not be deleted if a job is unsuccessful.

Edit avs script

AviSynth is a frameserver program acting as a non-linear video editor.
AVI ReComp creates special AviSynth scripts, which are text files written in the AviSynth scripting language.
These scripts are loaded to and used by VirtualDubMod.
Most advanced users can edit and modify such scripts before a given job begins.
If the option is activated then after all video and audio streams are demuxed you will see a new window containing all used processing functions.

The Restore button can be used to restore all original AviSynth script entries created by AVI ReComp.
If you use the Cancel button then all new changes will be discarded and ARC will proceed without modifying the original avs script.
To save and use your modifications click the Use button.


Queue

There are two main options available in this place: Preview and Queue.

Preview

It is possible to preview the movie with all new settings. You can generate the general and final preview using the Preview button.
Note, the button is active only then if the source file is loaded. Otherwise the button remains disabled.

Please also note that the Preview button previews the currently loaded input file and settings, not the actual job you have selected from the queue.
Likewise all info from the Data panel always refers to the currently loaded clip, not to the selected job from the job list.

Queue

Also in this place jobs can be added to the queue.
So before you start the recompression process you have to add the current project to the job list (queue).
Press the Add to Queue button to add the current settings to the job queue.
Note, the button is disabled if there is no input or/and no output file specified in the Source & Output tab.
It is also disabled in some other cases, for example if one of required applications like VirtualDubMod are not detected in your system.
Each job has its name. The job name is always based on the output file name specified in the Source & Output tab.
During adding the job to the queue ARC analyses and checks all possible conflicts and conditions (for example: available free disk space, all required external applications, resolution and logo settings etc.). So you will be informed if any conflict is found.
Each job has its status. All new jobs in the queue have the "waiting" status. When you start the queue then the first waiting job is launched and its status changes to "running". In case if something went wrong the job gets the "failed" status.

There are three buttons available to manage the job list.
The Up and Down buttons are enabled only if there is more than one job in the queue and one of these jobs is selected. In other cases both buttons are disabled.
The Delete button can be used only if a desired job is selected.
Note, you cannot delete the running job. To delete the running job you have to use the Stop button (to abort the reencoding process) and then - when the job's status is changed to "aborted" - you can select and delete it.

When the Each job resets settings option is checked then after adding a job to the queue all settings will be reseted to the original and default settings. It will reset all - logo, subtitle, audio and resolution settings. It will also restore the Source & Output tab and the Data panel to their initial states and empty all fields in these places.

If you tick the Shut down system when done option your PC will be turned off automatically after all jobs are completed.

Once you've added all your jobs to the queue (it can be only one job), you can use the Start button to start the encoding process.
You have to know the program has to reencode the whole movie (all its frames) and it's very stressing process for each computer.
The recompression process could take a few minutes or even a few hours depending on your PC's power and stability, the source file size and some other factors.
In each moment you can use the Stop button to abort the encoding process and to stop the queue.


Log

This is the last tab available in the Jobs control panel group.

The Log window is used to display useful information about ongoing processes.
The log is mostly useful for informative and debugging purposes only.
You can clear the Log window in every moment by clicking the Clear log button.

Furthermore, in the same time, the program automatically produces log files.
Log files are the text files with the *.log extension that may be useful when troubleshooting problems.
The progress of the reencoding is saved for each job separately in the log files.
All log files have the "[AVI ReComp]" suffix and can be found in the target file folders.

Please ensure that log files published on our forum, for troubleshooting purposes, do not contain any Movie Titles or any other personal information (paths) that may lead to your Home Movies being mistakenly construed as copyrighted material. Also please consider that even if you own the DVD and your Country has Fair Use laws in effect they may not apply in our Country so please respect this rule for all our benefits.
Any forum posts discovered not complying will be deleted without further discussion.


Applications

ARC's Applications section consists of 2 tabs: Control Panel and Interface.
The section is set aside and situated at the bottom of every tab so that it is always accessible.

The Applications section includes the following tabs:

Control Panel
The tab controls the status of all indispensable external applications.
Interface
All options concerning ARC's UI (language, notifications etc).


Control Panel

The Control Panel is the first tab of the Applications section.
It serves to report the status of ARC's ancillary applications (Xvid, VirtualDubMod and AviSynth).
It also provides an option to manually browse to VirtualDubMod's location in case ARC cannot find it. You don't have to install VDubMod bundled with the ARC package. But please remember that ARC is intended to be used with VirtualDubMod 1.5.10 or newer. Other versions will not be accepted.
If an ancillary App is active and has been found ARC reports its Status as OK (green).
Any other Status result such as N/A should be investigated.

© Copyright 2009-2011 Mateusz Gola


Interface

This section includes all GUI-related options.

Language

The desired language one can choose from the list of languages.
The names of languages are always displayed in the language of the OS.
AVI ReComp offers complete Unicode support for all GUI elements.
If the translation corresponding to the chosen language is incomplete then you will see the following warning:

Balloon hints

After enabling this option one will be able to see tooltips displayed when the user hovers the cursor over a GUI item (button, option).
The tooltips will be displayed in every AVI ReComp window.

AVI file association

It is possible to associate ARC with AVI files.
After using this feature a new action will be added to the right-click context menu in Windows Explorer for all files with *.avi extension.
The icon on the left indicates that the option requires administrator permissions to use it. In the newer versions of Windows you may see the UAC (User Account Control) prompt after clicking on the Associate with AVI file button.
After the association is successfully added the button changes its name to Remove association and allows to remove the created association.
Note, it will not be a primary action which is executed when the file is double-clicked. Also, no context menu item will be replaced.
AVI ReComp always creates a new and independent menu entry and the main (primary) AVI file association is preserved. It means that AVI files will still be associated with your favourite media player.

Notifications

Notifications are displayed in the system tray area in the form of a little window including info about the number of successfully recompressed files.
They pop up when all jobs from the queue are completed.
Desktop notifications are displayed only in two cases:
- if ARC is hidden in the system tray
- if ARC window is inactive and hidden behind other Explorer windows.

The Notifications - settings option allows to adjust some properties of the notification window.
You can set the duration (display time) and the transparency of the notification window.

Stay on top

Activate this option while you want to keep ARC on top of other windows.
The main ARC window will always be on top of other applications so that you can easily drag and drop AVI files from the Windows Explorer.

New versions

New versions of AVI ReComp can be checked manually by using the Check now button and also automatically on startup if the Check for new version on startup option is activated.
ARC always checks for new stable versions since beta versions are not published and they are available for beta-testers only.


Translation Guide

Introduction

If you want to create or update translations you can use files existing in AVI ReComp installation directories but it's much better to download a special Translation Package from our server.
Every time I'm going to release a new version there is also a special Translation Package for the forthcoming version of AVI ReComp.
Translation Packages contain all textual references used in a given version of AVI ReComp - all interface strings, all documents and guides and help files.

Translating the main language file

1.

Download poEdit - open-source PO files editor.
If you would like to work under Linux system you can use a great tool Lokalize.
This guide is based on poEdit usage.

2.

Look for the template.po file.
You should find it in the "\Locale" subdirectory of the Translation Package.
You can also find the latest template in the "\Locale" subdirectory of the main AVI ReComp installation folder.
Copy the file anywhere you want and rename it to default.po

3.

Open your default.po file with poEdit (File -> Open).

4.

Go to Catalog - > Settings.
You will see the following window:

You have to fill all the fields correctly otherwise your translation will not work correctly!
Please enter a project name and version, your nick and any e-mail address, the language of your translation.
Set both encoding types to utf-8.

Plural Forms:
Only one form (Japanese, Korean, Hungarian, Turkish)
Some languages only require one single form. There is no distinction between the singular and plural form.
An appropriate header entry would look like this:
nplurals=1; plural=0;

Two forms, singular used for one only (Danish, Dutch, English, Faroese, German, Norwegian, Swedish, Estonian, Finnish, Greek, Hebrew, Italian, Portuguese, Spanish)
A header entry would look like this:
nplurals=2; plural=n != 1;

Two forms, singular used for zero and one (French, Brazilian Portuguese)
Exceptional case in the language family.
The header entry would be:
nplurals=2; plural=n>1;

Three forms, special cases for numbers ending in 1 and 2, 3, 4, except those ending in 1[1-4] (Croatian, Czech, Russian, Ukrainian)
The header entry would look like this:
nplurals=3; plural=n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;

Three forms, special case for one and some numbers ending in 2, 3, or 4 (Polish)
The header entry would look like this:
nplurals=3; plural=n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;

Four forms, special case for one and all numbers ending in 02, 03, or 04 (Slovenian)
The header entry would look like this:
nplurals=4; plural=n%100==1 ? 0 : n%100==2 ? 1 : n%100==3 || n%100==4 ? 2 : 3;

After you are done, click OK to save all required settings.

5.

Activate all available windows in the View menu: Show comment window and Show automatic comments window.

Now you can start translating all items included in the translation file.
The main window is divided into 5 panels. The upper and the biggest panel contains all strings (translated and untranslated).
All untranslated sentences are marked as blue. Every translated item becomes white. There are also four smaller windows.
The first (upper left) window contains an original item that has to be translated. The lower left window is for you to enter your translation.
The upper right panel contains special comments written by a programmer. Most often it is empty but sometimes you can find some important instructions here. For example: maximal allowed length, exact meaning of a given word or sentence.

The lower right window is for you to write your own comments. They can be very useful for you later or for another translator that will want to continue your work. You can add your own comment by clicking the button below:

Every commented item is marked with a special little symbol (look at the screen below):

Sometimes you may want to mark your translation as unsure (fuzzy).
To mark the item as fuzzy just select it and click the following button:

Marking your translations as fuzzy can help you when you decide to save your work and verify it later.
Please note, the fuzzy items are not used by AVI ReComp so you will not see these items while checking the translation!

Now, something about plural forms used in the translation.
Sometimes you can find items looking like that:

If you set a proper plural form in poEdit settings (see above) you will see that sometimes your translation window will be divided into a few smaller ones. It means that you have to enter correct singular and plural forms for a given noun.
You cannot omit %d syntax! This is a special syntax used for numerical variables. If you omit this syntax you won't be able to compile your translation!
The same situation is related to the %s syntax (for textual variables)!

Sometimes you can find special signs like \n - this symbol represents a line-break point.
I use them especially for the hints and longer messages.

If they are too long and can be too difficult to read being placed in one line.
You don't have to use these symbols in the same places where I have set them. It is your own choice where to use them.

6.

When you are done or just want to save your work -> click the following button:

and your translation will be saved.
poEdit will also compile your PO file to a special MO file format.
If your translation is not finished and you are not going to check how it works you can delete this MO file.
Next time you decide to continue your translation just open your PO file.

Testing the translation

As I have mentioned above poEdit always generates a special MO file during saving your job.
This is a target file used by AVI ReComp to process the translation.
Now go to AVI ReComp installation directory and find a directory named "Locale". There you have to create a new subdirectory. The name of this directory has to refer to the language code you are going to test. You can use the following link to check what is the code for your language:
http://dybdahl.dk/dxgettext/docs/beta/online/standards.html
For example, if you are going to check your British translation you will have to give the name "en_GB" for your folder. If it is a French translation then choose "fr" name for the folder.
Now lets create one more subdirectory in your new folder. Its name has to be "LC_MESSAGES".
And this is the final place for your compiled default.mo file.
So for the French translation the whole path will be as follow:
AVI ReComp install dir\locale\fr\LC_MESSAGES\default.mo
Now you can run ARC and you should see your new language available on the list of all available languages. You can now check how it works.

Translating additions

If you want a full language support you can also translate a documentation: changelog, license and installer language files.
Note! Almost every content should be saved in utf-8 code-page!
There are just a few documents that should be saved in a common ANSI encoding and they are all used in the AVI ReComp installer. All those files can be found in our Translation Package.
Files from the following folders should be saved in ANSI encoding:
- \Documents\License\ANSI for installer only\
- \Install lang\
After translating such documents just put them in a proper subdirectory and name them in accordance with your language code. For example changelog_no.txt for Norwegian or changelog_sl.txt for Slovenian. After that AVI ReComp should automatically recognise the language of your document depending on a current chosen language.

Translating the Help System

It is also possible to translate the Help System.
The Help file consists of several HTML files (pages) which can be easily translated.
However it requires some minimum and basic knowledge of HTML language.
All HTML files with the *.html extension are located in the \Help\en_GB\HTML\ subdirectory of the Translation Package.
Please, do not modify the source code of HTML/XHTML documents! Also, do not change their file names!
But you can replace all images from the \Help\en_GB\HTML\screenshots\ subdirectory with your own screenshots (in your native language).
The Index_en.hhc file includes the list of contents of the Help and it can also be translated.
You can also change the suffix from "_en" to your own language code.
All index items are stored in the following form: <param name="Name" value="Audio conversion">.
Moreover all HTML/XHTML files have to be compiled into one help file.
And that's why all users eager to translate the Help System are requested to contact me directly and send me all constituent files.
However, more advanced users can compile the Help file by themselves.
To compile the Help file you will need to download and install Microsoft HTML Help Workshop.
AVI ReComp_en.hhp is the main Help script which can be easily loaded to HTML Help Workshop and then compiled to the final Help file.
Using HTML Help Workshop you can edit the project file and change some main parameters (Title, Language and Contents file in case you modified its name or location).

Publishing the translation

Finally you can publish the translation in this section of my forum describing what is the language of your translation and what ARC version it is related to.
After the translation is published and verified I will add it to the list of all available translations.
Please, always try to include your PO file. PO file is the most important. MO file is a compiled version and it doesn't contain any additions like comments etc.
If you have any questions and problems please create a new topic in this section of AVI ReComp discussion board or contact me directly via PM.

© Copyright 2009-2011 Mateusz Gola